Configure Backup

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/databases/{databaseId}/actions/configureBackup

Configures database backup to the specified destination media. If the selected destination is an Oracle Zero Data Loss Recovery Appliance, then you must enable the ZDLRA Management Pack on the Recovery Appliance to use this API.

Request

Path Parameters
Header Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Configure Backup Details.
Show Source
Nested Schema : Discriminator: destinationMediaType
Type: object
Discriminator: destinationMediaType

Discriminator Values

Contains details of the backup configuration submitted.
Match One Schema
Show Source
Nested Schema : ConfigBackupDetailsOCIWithOCIMediaSettings
Type: object
Configure Backup Details For Oracle Cloud Infrastructure.
Show Source
Nested Schema : ConfigBackupDetailsRA
Type: object
Configure Backup Details for Recovery Appliance.
Show Source
Nested Schema : advanced
Type: object
Advanced parameters.
Show Source
  • Specifies if the Enterprise Manager configuration deployment procedure has to process one database at a time or in parallel.
    Example: true
  • installerArgs
    Additional arguments to be specified while invoking the Oracle Cloud Infrastructure installer to configure database backup to Oracle Cloud.
  • Number of SBT channels to set in database RMAN settings for Oracle Cloud Infrastructure backup.
    Example: 1
  • Proxy host used while downloading the Oracle Cloud Infrastructure backup module on the database target host.
  • Proxy port used while downloading the Oracle Cloud Infrastructure backup module on the database target host.
  • Specifies if databases that are already configured to backup to the specified destination media should be skipped.
    Example: true
Nested Schema : installerArgs
Type: array
Additional arguments to be specified while invoking the Oracle Cloud Infrastructure installer to configure database backup to Oracle Cloud.
Show Source
Example:
[
    "-newRSAKeyPair true",
    "-libPlatform linux64"
]
Nested Schema : advanced
Type: object
Advanced parameters.
Show Source
  • Number of SBT channels to set in database RMAN settings for Oracle Cloud Infrastructure backup.
    Example: 1
Nested Schema : backupModuleParameters
Type: object
Backup module related parameters.
Show Source
Nested Schema : walletParameters
Type: object
Wallet related parameters.
Show Source
  • Specifies if the WALLET_ROOT database initialization parameter has be set.
    Example: false
  • Specifies if the required environment variables (ORACLE_HOME, ORACLE_BASE, DB_UNIQUE_NAME, ORACLE_UNQNAME) should be updated in Cluster Ready Services (CRS) via the SRVCTL command.
    Example: false
  • Specifies if the SQLNET.WALLET_LOCATION has to be updated.
    Example: false
  • Wallet location.
    Example: $ORACLE_HOME/dbs/wallet
Examples

Back to Top

Response

Supported Media Types

202 Response

Execution details of the deployment procedure submitted.
Headers
  • Status of the deployment procedure submitted can be viewed in this location.
Body ()
Root Schema : DatabaseBackupResponse
Type: object
Response of the operation submitted.
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

401 Response

Client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

403 Response

Forbidden. The user is forbidden to perform the requested operation
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

404 Response

Resource not found or not authorized for access
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

Indicates that a required service is not available
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top